Package org.apache.lucene.search.uhighlight

# Class PassageFormatter

java.lang.Object
org.apache.lucene.search.uhighlight.PassageFormatter

Direct Known Subclasses:
  `DefaultPassageFormatter`

public abstract class PassageFormatter extends Object
Creates a formatted snippet from the top passages.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PassageFormatter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Object`
  `format(Passage[] passages, String content)`
  Formats the top `passages` from `content` into a human-readable text snippet.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PassageFormatter

    public PassageFormatter()

- ## Method Details

  - ### format

    public abstract Object format(Passage[] passages, String content)
    Formats the top `passages` from `content` into a human-readable text snippet.
    Parameters:
      `passages` - top-N passages for the field. Note these are sorted in the order that they appear in the document for convenience.
      `content` - content for the field.
    Returns:
      formatted highlight. Note that for the non-expert APIs in `UnifiedHighlighter` that return String, the toString method on the Object returned by this method is used to compute the string.